Bug 830533 - Remote QT4 apps refresh very very slowly (QT_GRAPHICSSYSTEM).
Remote QT4 apps refresh very very slowly (QT_GRAPHICSSYSTEM).
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
16
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 08:40 EDT by Roberto Ragusa
Modified: 2013-02-13 18:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:35:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roberto Ragusa 2012-06-10 08:40:19 EDT
Remote QT4 apps refresh very very slowly.

Take two Fedora 16 machines, on the first one run "ssh -Y second_one" and then
run kate.
The window will appear correctly, but the GUI speed is unusably slow even
on 100MBit/s local ethernet. Just a slideshow of frames.

With 
  export QT_GRAPHICSSYSTEM=native
  kate
speed is back to normal levels.

The default QT_GRAPHICSSYSTEM makes remote usage impossible.

Qt3, GTK+ and other not-Qt4 apps are fast.
Comment 1 Rex Dieter 2012-06-10 09:12:27 EDT
True, and you found the reasonable workaround already.  We've considered trying to make this automatic somehow, but haven't found a solution that's safe/robust yet.
Comment 2 Kevin Kofler 2012-06-10 10:34:42 EDT
FWIW, Qt 5 will not support "native" at all. :-(
Comment 3 Roberto Ragusa 2012-06-10 10:54:30 EDT
(In reply to comment #2)
> FWIW, Qt 5 will not support "native" at all. :-(

Unbelievable!
So QT apps will lose any ability to run on the network?
And without having to wait for the wayland tsunami! ;-(
Comment 4 Rex Dieter 2012-06-10 10:58:13 EDT
another workaround that helps a bit is using a different qt/kde style than oxygen
Comment 5 Fedora End Of Life 2013-01-16 15:01:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 18:35:14 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.